Нещодавній список вакансій передбачає, що в майбутній рольовій грі з відкритим світом hogwarts legacy не буде використовуватися остання версія unreal engine, ue5 .

avalanche наймає головного художника для hogwarts legacy, а також шукає кого-небудь з досвідом роботи з unreal engine 4 . Unreal engine 5-це остання і найбільш технологічно вражаюча версія unreal engine, тому деякі фанати можуть бути здивовані, дізнавшись, що hogwarts legacy, здається, створюється за допомогою ue4.

Hogwarts legacy-це гра для різних поколінь, призначена для випуску на ps4 і xbox one, а також на ps5 і xbox series x. Хоча unreal engine 5 технічно сумісний з консолями попереднього покоління, схоже, що більшість проектів unreal engine 5 будуть ексклюзивними для нового покоління консолей і пк. Правильне використання можливостей unreal engine 5 вимагатиме зосередження уваги лише на наступному поколінні, тому має сенс, що avalanche буде дотримуватися unreal engine 4 при створенні hogwarts legacy.